module Util where

import qualified Data.Vector as V

-- internal imports

import Types

getFrame :: EngineData -> Int -> FrameData
getFrame engineData frame =
  let frameVector = engineFrames engineData
  in
    frameVector V.! (frame `mod` V.length frameVector)
